> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of free features

> Returns a list of all free features activated for clients.



## OpenAPI

````yaml /api-reference/services_documented/iam_reseller_api.yaml get /iam/admin/free_features
openapi: 3.1.0
info:
  title: Gcore OpenAPI – IAM Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: IAM Reseller Account
    description: >-
      Account management operations including authentication, password
      management, and account details.
    x-displayName: Account
  - name: IAM Reseller Clients
    description: >-
      Clients management API.


      Note: For client's creation use [create a new
      user](#tag/Users/paths/~1users/post) method from Users management API.
    x-displayName: Clients
  - name: IAM Reseller Users
    description: Client's users management API.
    x-displayName: Users
  - name: Sellers
    description: Seller management API.
    x-displayName: Sellers
  - name: Products' availability
    description: >-
      As a reseller you can get access to multiple products that available for
      you. Such as CDN.


      With this API you can manage which products are available for you clients
      by default or manage personal

      products' availability for each client separately.
    x-displayName: Products' availability
  - name: Services
    description: Client services management API for managing service statuses and options.
    x-displayName: Services
  - name: IAM Reseller Features
    description: You can manage both free and paid features available for you.
    x-displayName: Features
  - name: Branding
    description: >-
      Branding settings management API for customizing reseller branding
      including logos, colors, and domain settings.
    x-displayName: Branding
  - name: Notification Settings
    description: Notification settings which not connected with branding
    x-displayName: Notification Settings
  - name: Other
    x-displayName: Other
paths:
  /iam/admin/free_features:
    get:
      tags:
        - IAM Reseller Features
      summary: Get a list of free features
      description: Returns a list of all free features activated for clients.
      operationId: iamGetFreeFeatures
      responses:
        '200':
          description: OK.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActivatedFeatureArray'
components:
  schemas:
    ActivatedFeatureArray:
      allOf:
        - $ref: '#/components/schemas/ItemsArray'
        - items:
            $ref: '#/components/schemas/ActivatedFeature'
    ItemsArray:
      type: array
      description: Simple array without pagination
      items:
        type: object
    ActivatedFeature:
      type: object
      required:
        - id
        - client_id
        - feature_id
        - feature
        - created_date
      properties:
        id:
          type: integer
          description: Activated feature's ID.
          readOnly: true
        client_id:
          type: integer
          description: Client's ID.
        feature_id:
          type: integer
          description: Feature's ID.
        feature:
          allOf:
            - $ref: '#/components/schemas/Feature'
            - readOnly: true
        created_date:
          type: string
          format: date-time
          description: Timestamp when the feature was activated.
          readOnly: true
    Feature:
      type: object
      required:
        - id
        - name
        - service
        - is_free
      properties:
        id:
          type: integer
          description: Feature's ID.
          readOnly: true
        name:
          type: string
          description: A feature's name.
          readOnly: true
        service:
          allOf:
            - $ref: '#/components/schemas/ServiceName'
            - readOnly: true
              description: The service a feature belongs to.
        is_free:
          type: boolean
          description: Shows if a feature is free or paid.
          readOnly: true
    ServiceName:
      type: string
      description: Service's name.
      enum:
        - CDN
        - STORAGE
        - STREAMING
        - DNS
        - DDOS
        - CLOUD
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````